/*-----------------------------------custom_button-----------------------------*/

.custom-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;



  text-decoration: none;
  border: 2px solid #464646;
  border-radius: 100px;
  background-color: #ffffff;
  cursor: pointer;
  height: calc(var(--ger-custom-button-font-size) * 2.5);
  padding: 0 var(--ger-custom-button-font-size);
  font-size: var(--ger-custom-button-font-size);
  color: #464646;
  font-weight: 600;
  line-height: 1em;
  /* transition: all 0.3s ease; */
  transition: background-color 0.3s ease;
  margin-left: -5px;
}

.custom-button:hover {
  background-color: #e8e8e8;
}

/*...Termin Online Button v2......................................................................................*/

/* :root {

  --ger-online-button-size: 44px;
  --ger-button-font-size: 15px;
  --circle-size: calc(var(--ger-button-size) + 4px);

} */

/* Hauptbutton */
.custom-svg-online-button {
  text-decoration: none;
  display: inline-flex;
  align-items: center;
   justify-content: center;
  gap: 0;
  padding: 0;
  border: 2px solid #464646;
  border-radius: 50px;
  background-color: #f5f5f5;
  cursor: pointer;
  font-size: var(--ger-button-font-size);
  font-weight: bold;

  height: calc(var(--ger-online-button-size) + 0px);
  margin-left: -5px;

  /* transition: all 0.3s ease; */
  transition: background-color 0.3s ease;
}

/* Button-Text */
.button-text {
  padding-left: 10px;
  padding-right: 23px;
  color: #464646;
  flex-grow: 1;
  text-align: left;
  font-weight: bold;
  line-height: 1.2em;
}

.custom-svg-online-button:hover {
  background-color: #e8e8e8;
  /* box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); */
}

/* SVG-Kreis */
.svg-online-circle {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  width: calc(var(--ger-online-button-size) - 8px);
  height: calc(var(--ger-online-button-size) - 8px);
  margin-left: 2px;
  /* min-width: var(--ger-button-size); */
  border-radius: 50%;
  background-color: #464646;
  color: white;
  flex-shrink: 0;
}

/* SVG-Animationen */
.svg-default,
.svg-hover {
  position: absolute;
  transition: all 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.svg-default {
  opacity: 1;
  transform: scale(1) rotate(0deg);
}

.svg-hover {
  opacity: 0;
  transform: scale(0.5) rotate(-90deg);
}

/* Hover-Effekt */
.custom-svg-online-button:hover .svg-default {
  opacity: 0;
  transform: scale(0.5) rotate(0deg);
}

.custom-svg-online-button:hover .svg-hover {
  opacity: 1;
  transform: scale(1) rotate(0deg);
}
